// Copyright YALI AMIT, January 15, 2001.

#include <cstring>
#include <iostream>
#include <fstream>




class mask
  {
  public:

    double frac; // Value at pixel should be above `frac' percentile of gray level
                 //values in image
    int par[2]; // Thresholds for number of + matches and - matches
    int hdim; // Half the dimension of the mask
    igrid msk; // Grid of -1's 0's and 1's, defining the mask.
    
    ~mask() {}
    mask()  {}
    
    void read(ifstream &ifs);
    int find(int i, int j, image &im);
  }; // class mask


void mask::read(ifstream &ifs)
{

  int b1,b2;
  ifs >> frac; ifs >> par[0];  ifs >> par[1]; ifs >> b1; ifs >> b2;
      // Read in mask.
      msk.init(b1,b2);
      hdim=b1/2;
      for (int i=0; i<msk.dimx(); i++)
	for (int j=0; j<msk.dimy(); j++)
	  ifs >> msk(j,i);

}


typedef vector<mask> masks;
