// Copyright YALI AMIT, January 15, 2001.

#ifndef VIEWGRID_H
#define VIEWGRID_H


// _________________________________________________________________________
// Includes and declarations

#include "viewport.h"

class viewport;
template<class T> class vector;
template<class T> class grid;
typedef vector<viewport> viewports;
typedef grid<unsigned char> ucgrid;

void view_raw_grids();
void view_grid(const ucgrid& gr, int gfork = 0);
void view_normalized(const ucgrid& gr, int gfork = 0,
		     int min = 0, int max = 0);
void view_dnormalized(const dgrid& gr, int gfork = 0,
		     int min = 0, int max = 0);
void refresh_views(viewports& vps);
void view_views(viewports& vps);

// __________________________________________________________________________
// viewgrid.h

#endif // VIEWGRID_H
