// Copyright YALI AMIT, January 15, 2001.

#ifndef GLOBALS_H
#define GLOBALS_H


// __________________________________________________________________________

#ifdef MAIN_DEFINED
 #define Extern
#else 
 #define Extern extern
#endif // MAIN_DEFINED

// __________________________________________________________________________
// Global Variables, automatically initialized to 0.

#include "simpstrg.h"

#ifdef MAIN_DEFINED
#define GLOBAL(x, y) x y;
#define GLOBALA(x, y, z, w) x y[z] = { w };
#define GLOBALI(x, y, z) x y = z;
#else
#define GLOBAL(x, y) extern x y;
#define GLOBALA(x, y, z, w) extern x y[z];
#define GLOBALI(x, y, z) extern x y;
#endif
#include "globlist.h"  
#undef GLOBAL
#undef GLOBALA
#undef GLOBALI

// __________________________________________________________________________
// Functions in globals.h

extern void get_parfile(int argc, char **argv, simpstrg& parfile);
extern void parse_argv(int argc, char **argv);
extern int parse_parfile(const simpstrg& parfile);
extern void dump_globals(const simpstrg& dumpfile);

// __________________________________________________________________________

#endif // GLOBALS_H

