// Copyright YALI AMIT, January 15, 2001.

#include "includes.h"

#include <iostream>
#include <iomanip>
#include <fstream>


#include "simpstrg.h"
#include "histgram.h"
#include "facecart.h"
#include "detection.h"
#include "trainstat.h"
#include "ltatree.h"
#include "carttree.h"
#include "viewgrid.h"
#include "viewport.h"
#include "globals.h"
#include "detfuncs.h"
void nistprocess(image &im);
extern ltatrees ltrees;
void hack3()
{
  igrid point1, point2, point3;
  read_coords(point1, point2, point3, ratio, first, last);
  vector<image> imv(40000);
  image im;
  int count=0;
  for (int i = first; i < last; ++i)
    {
      if (im.read(i))
	{
	  if (im.truth()-48==dum1)
	    {
	      int p1=0, p2=0, p3=0, p4=0, p5=0, p6=0;
	      im.imtrim(0,p1,p2,p3,p4,p5,p6);
	      p1=0; p2=im.dimy()/2;
	      p3=im.dimx(); p4=im.dimy()/2;
	      p5=im.dimx()/2; p6=im.dimy();
	      im.imtrim(-30,p1,p2,p3,p4,p5,p6);
	      cout << p1 << " " << p2 << endl;
	      cout << p3 << " " << p4 << endl;
	      cout << p5 << " " << p6 << endl;
	      imv[count]=im;
	      (imv[count]).set_truth(1);
	      count++;
	    }
	  
	}
    }
  write_images(imv,count);
}

void detect_diff()
{
  image im0;
  image im1;
  if (im0.loadpgm(dataset + simpstrg("/") + listfile +
		  ltos(dum2) + simpstrg(".pgm")) &&
      im1.loadpgm(dataset + simpstrg("/") + listfile +
		  ltos(dum2 + 1) + simpstrg(".pgm")))
    {
      image im2 = im0;
      if (basecol==0)
	im2.normalize(0, numcolors - 1);
      else 
	im2.normalize(numcolors/2);
      viewport vp(im2);
      vp.refresh();
      detections dets;
      finddets(im0, "", dets, "");
      output_detections(vp, im0, dets);
    }
  else
    {
      cerr << "Unable to read the pgm files\n";
      exit(1);
    }
}

void hack2()
{

ifstream ifs(listfile);
 cout << listfile << " " << endl;
double d;
dgrid m(3), m2(3);
dgrid mt(3), m2t(3);
m.clear(); m2.clear();
mt.clear(); m2t.clear();
for (int i=0; i<numiters*2; i++)
 for (int j=0; j<3; j++)
   {
     ifs >> d;
     if (i % 2 == 0)
       {
	 m(j) += d;
	 m2(j) += d*d;
       }
     else
       {
	 mt(j) += d;
	 m2t(j) += d*d;
       }
   }


for (int j=0; j<3; j++)
  cout << setw(6) << setprecision(2) << m(j)/numiters << " ";
for (int j=0; j<3; j++)
  cout << setw(6) << setprecision(2) << sqrt(m2(j)/numiters - m(j)*m(j)/(numiters*numiters)) <<  " ";
 cout << endl;
for (int j=0; j<3; j++)
  cout << setw(6) << setprecision(2) << mt(j)/numiters << " ";
for (int j=0; j<3; j++)
  cout << setw(6) << setprecision(2) << sqrt(m2t(j)/numiters - mt(j)*mt(j)/(numiters*numiters)) <<  " ";

 cout << endl;
}



void hack4()
{
}




